%define gaiver	0.5.8

Summary:	GAI Pal applet
Name:		gai-pal
Version:	0.7
Release: 11
Source0:	%{name}-%{version}.tar.bz2
Patch0:		gai-pal-0.7-xosd-empty-msg.patch
Patch1:		gai-pal-0.7-typo.patch
Patch2:		gai-pal-0.7-nostrip.patch
URL:		http://gai.sourceforge.net
License:	GPL
Group:		User Interface/Desktops
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	gai-devel >= %{gaiver}
BuildRequires:	xosd-devel

%description
A GAI applet, providing a friend that always has something wise
or funny to say.

%prep
%setup -q
%patch -p1 -b .xosd-empty-msg
%patch1 -p1 -b .typo
%patch2 -p1 -b .nostrip
%ifarch x86_64
sed -i 's!/lib/!/%{_lib}/!' Makefile.in
%endif


%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall PREFIX=$RPM_BUILD_ROOT/%{_prefix} GNOMEDIR=$RPM_BUILD_ROOT/%{_prefix}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING README
%{_bindir}/gai-pal
%{_libdir}/bonobo/servers/*.server
%{_datadir}/pixmaps/*

%changelog
* Mon Oct 02 2006 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Tue Sep 19 2006 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Sat Mar  4 2006 Michel Salim <michel.salim@gmail.com> - 0.7-9
- Rebuild for Fedora Extras 5

* Sun Feb 12 2006 Michel Salim <michel.salim@gmail.com> - 0.7-8
- rebuild against new gtk2 and gtkglext

* Wed Aug 17 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.7-7
- rebuilt

* Mon May  9 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.7-6
- Create debuginfo package, disable stripping via patch.

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Sun Feb 27 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.7-4
- BR xosd-devel
- fix xosd crash if fortune program missing or message is empty
- fix message in fortune preferences window
- drop confusing usage of macros in NVR (fixes release tag!)

* Sat Feb 26 2005 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0.7-3
- a "sed -i 's!/lib/!/%%{_lib}/!' Makefile.in" fixes x86_64

* Sat Nov  6 2004 Michel Alexandre Salim <salimma[AT]users.sourceforge.net> - 0.7-1
- Updated to 0.7, require gai 0.5.8

* Mon Oct 27 2003 Michel Alexandre Salim <salimma[AT]users.sourceforge.net> - 0.4-0.fdr.1
- Updated to 0.4, require gai 0.5

* Tue May 13 2003 Michel Alexandre Salim <salimma[AT]users.sourceforge.net> - 0.2-0.fdr.1
- Initial RPM release
